#pragma once
#include "Entity.h"
#define CS_BAR_CREATENAME L"CS_bar"
class CS_Bar :
    public Entity
{
public:
    CS_Bar();
    void Step() override;
    void SetState(int stateID, int lr) override;
    void SetState(std::wstring stateName, int lr) override;
    int wink_counter = 0;
    int act_no = 0;
    int act_wait = 0;
    float tgt_x = 0;
};

std::shared_ptr<Entity> CreateCS_Bar();